/* See LICENSE of license details. */

#include <errno.h>
#include <stdint.h>
#include <sys/types.h>
#include <unistd.h>

#include <string.h>

extern volatile uint64_t tohost;

ssize_t _bsp_write(int fd, const void *ptr, size_t len) {

  if (isatty(fd)) {
    volatile uint64_t payload[8];
    memset((void *)payload, 0, 8 * sizeof(uint64_t));
    payload[0] = 64;
    payload[2] = (uintptr_t)ptr;
    payload[3] = len;
    tohost = (uintptr_t)payload;
    return len;
  }

  return 1;
}
